This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 828484 - [RFE] Display Exceptions within UI for errors encountered
[RFE] Display Exceptions within UI for errors encountered
Status: NEW
Product: CloudForms Cloud Engine
Classification: Red Hat
Component: aeolus-conductor (Show other bugs)
1.1.0
Unspecified Unspecified
medium Severity medium
: rc
: ---
Assigned To: Angus Thomas
Rehana
: FutureFeature, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-04 15:23 EDT by james labocki
Modified: 2013-01-29 11:05 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description james labocki 2012-06-04 15:23:50 EDT
This is a request to provide more visibility into appropriate log files when errors occur. 

For example when authenticating against Amazon EC2, if a users time is not synchronized the following error is displayed in the UI:

Error message: Cannot add the provider account. 

    1 error prohibited this Cloud Resource Provider Account from being saved

    An error occurred when checking provider credentials. Please check your setup and try again.

If /var/log/deltacloud-core/mock.log is examined it's possible to determine that it was a time-offset problem. This could be displayed in the UI to simplify troubleshooting.

Note You need to log in before you can comment on or make changes to this bug.